package org.processmining.plugins.petrinet.importing.pnml;

/**
 * Collection of relevant PNML attributes.
 * 
 * @author hverbeek
 *
 */
public enum PnmlAttributes {
	ID,
	SOURCE,
	TARGET,
	TYPE;
	
	public String getLabel() {
		switch(this) {
			case ID:
				return "id";
			case SOURCE:
				return "source";
			case TARGET:
				return "target";
			case TYPE:
				return "type";
		}
		return null;
	}
	
	/**
	 * Get the export string for assigning the given value to this attribute.
	 * @param value The given value, still needs to be encoded.
	 * @return The export string, something like 'id="p1873"'.
	 */
	public String getAssign(String value) {
		return " " + getLabel() + "=\"" + XmlEntities.encode(value) + "\"";
	}
}
