package org.processmining.plugins.petrinet.importing.pnml;

/**
 * Collection of relevant PNML tags.
 * 
 * @author hverbeek
 *
 */
public enum PnmlTags {
	ARC,
	INITIALMARKING,
	INSCRIPTION,
	NAME,
	NET,
	PLACE,
	PNML,
	TEXT,
	TRANSITION,
	TYPE;
	
	public String getLabel() {
		switch(this) {
			case ARC:
				return "arc";
			case INITIALMARKING:
				return "initialMarking";
			case INSCRIPTION:
				return "inscription";
			case NAME:
				return "name";
			case NET:
				return "net";
			case PLACE:
				return "place";
			case PNML:
				return "pnml";
			case TEXT:
				return "text";
			case TRANSITION:
				return "transition";
			case TYPE:
				return "type";
		}
		return null;
	}
	
	public String getStart(String attributes) {
		return "<" + getLabel() + " " + attributes + ">";
	}

	public String getStart() {
		return "<" + getLabel() + ">";
	}

	public String getEnd() {
		return "</" + getLabel() + ">";
	}
}
