package org.processmining.plugins.testbed.experiment;

import java.util.concurrent.BlockingQueue;

import org.processmining.plugins.testbed.result.FindingPairResult;
import org.processmining.plugins.testbed.util.LabelledPnet;

/**
 * The class initializes the computation of one causal pair test of a workflow net 
 * 
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 10/June/2010
 *
 */
public class FindingPairPerTest extends Thread
{
	private LabelledPnet labelledPnet;
	private BlockingQueue<FindingPairResult> queue;
//	private int bound;
//	private int livelockBound;
	private int causalPairSize;
	
	
	public FindingPairPerTest(LabelledPnet net, BlockingQueue<FindingPairResult> queue, int causalPairSize)
	{
		this.labelledPnet = net;//(LabelledPnet)net.clone();
//		this.bound = bound;
//		this.livelockBound = livelockBound;
		this.queue = queue;
		this.causalPairSize = causalPairSize;

		start();
	}
	
	
	public void run()
	{		
		FindingPairCalculator c = new FindingPairCalculator(labelledPnet, causalPairSize);
		
		try {
			queue.put(c.getResult());
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}
}