package org.processmining.plugins.testbed.experiment;

import org.processmining.models.graphbased.directed.petrinet.Petrinet;
import org.processmining.plugins.testbed.result.NodeNumResult;


/**
 * The class computes how many places and transitions in a Petri net
 * 
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 10/June/2010
 *
 */
public class NodeNumCalculator 
{
	private Petrinet pnet;
	private NodeNumResult nodeNumResult;
	
	
	public NodeNumCalculator(Petrinet pnet)
	{
		this.pnet = pnet;
		nodeNumResult = new NodeNumResult();
		
		calPlaceNum();
	}
	

	private void calPlaceNum()
	{
		nodeNumResult.setPlaceNum(pnet.getPlaces().size());
		nodeNumResult.setTransNum(pnet.getTransitions().size());
	}
	
	/**
	 * returns how many places and transitions in a given Petri net
	 * 
	 * @return nodeNumResult, number of places and transitions 
	 */
	public NodeNumResult getNodeNum()
	{
		return nodeNumResult;
	}
}
