package org.processmining.plugins.testbed.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Vector;

import javax.swing.JOptionPane;

import org.processmining.plugins.testbed.util.Test;

import com.fluxicon.slickerbox.factory.SlickerFactory;


/**
 * the class realizes a lite version of the tool GUI
 * 
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 10/June/2010
 *
 */
public class TesterPanelLite implements ActionListener
{
    private javax.swing.JCheckBox jCheckBox1;
    private javax.swing.JCheckBox jCheckBox2;
    private javax.swing.JCheckBox jCheckBox3;
    private javax.swing.JCheckBox jCheckBox5;
    private javax.swing.JCheckBox jCheckBox6;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel12;
    private javax.swing.JPanel jPanel13;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JSpinner jSpinner15;
    private javax.swing.JSpinner jSpinner16;
    private Vector<Integer> selected;

    
	public TesterPanelLite()
    {
        jPanel1 = SlickerFactory.instance().createRoundedPanel();
        jPanel12 = SlickerFactory.instance().createRoundedPanel();
        jLabel13 = new javax.swing.JLabel();
        jSpinner15 = new javax.swing.JSpinner();
        jLabel19 = new javax.swing.JLabel();
        jSpinner16 = new javax.swing.JSpinner();
        jLabel20 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jPanel13 = SlickerFactory.instance().createRoundedPanel();
        jCheckBox1 = SlickerFactory.instance().createCheckBox(null, true);
        jCheckBox2 = SlickerFactory.instance().createCheckBox(null, true);
        jCheckBox3 = SlickerFactory.instance().createCheckBox(null, true);
        jCheckBox5 = SlickerFactory.instance().createCheckBox(null, false);
        jCheckBox6 = SlickerFactory.instance().createCheckBox(null, false);
        jSpinner15.setModel(new javax.swing.SpinnerNumberModel(5, 1, 2147483647, 1));//percentile
        jSpinner16.setModel(new javax.swing.SpinnerNumberModel(1, 1, 2147483647, 1));
        selected = new Vector<Integer>();
        jScrollPane1.setMaximumSize(new java.awt.Dimension(100, 100));
        jScrollPane1.setPreferredSize(new java.awt.Dimension(80, 50));   
        jPanel12.setBorder(javax.swing.BorderFactory.createTitledBorder("Characteristic Setting"));
        jLabel13.setText("percentile");
        jLabel19.setText("# of tests per net");
        jLabel20.setText("characteristics");
        jPanel13.setPreferredSize(new java.awt.Dimension(170, 150));
        jCheckBox1.setText("length of shortest path");
        jCheckBox2.setText("number of nodes");
        jCheckBox3.setText("average fanin&fanout");
        jCheckBox5.setText("coverage pair");
        jCheckBox6.setText("soundness");
        
        jCheckBox1.addActionListener(this);
        jCheckBox2.addActionListener(this);
        jCheckBox3.addActionListener(this);
        jCheckBox5.addActionListener(this);
        jCheckBox6.addActionListener(this);

        javax.swing.GroupLayout jPanel13Layout = new javax.swing.GroupLayout(jPanel13);
        jPanel13.setLayout(jPanel13Layout);
        jPanel13Layout.setHorizontalGroup(
            jPanel13Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel13Layout.createSequentialGroup()
                .addGroup(jPanel13Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jCheckBox3)
                    .addComponent(jCheckBox2)
                    .addComponent(jCheckBox1)
                    .addComponent(jCheckBox5)
                    .addComponent(jCheckBox6))
                .addContainerGap(80, Short.MAX_VALUE))
        );
        jPanel13Layout.setVerticalGroup(
            jPanel13Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel13Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jCheckBox1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jCheckBox2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jCheckBox3)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jCheckBox5)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jCheckBox6)
                .addContainerGap(28, Short.MAX_VALUE))
        );

        jScrollPane1.setViewportView(jPanel13);
        javax.swing.GroupLayout jPanel12Layout = new javax.swing.GroupLayout(jPanel12);
        jPanel12.setLayout(jPanel12Layout);
        jPanel12Layout.setHorizontalGroup(
            jPanel12Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel12Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel12Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel12Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(jPanel12Layout.createSequentialGroup()
                            .addComponent(jLabel20)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 131, Short.MAX_VALUE))
                        .addGroup(jPanel12Layout.createSequentialGroup()
                            .addComponent(jLabel19, javax.swing.GroupLayout.DEFAULT_SIZE, 98, Short.MAX_VALUE)
                            .addGap(97, 97, 97)))
                    .addGroup(jPanel12Layout.createSequentialGroup()
                        .addComponent(jLabel13)
                        .addGap(103, 103, 103)))
                .addGroup(jPanel12Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanel12Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                        .addComponent(jSpinner15)
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 236, Short.MAX_VALUE))
                    .addGroup(jPanel12Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jSpinner16, javax.swing.GroupLayout.DEFAULT_SIZE, 236, Short.MAX_VALUE)))
                .addContainerGap())
        );
        jPanel12Layout.setVerticalGroup(
            jPanel12Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel12Layout.createSequentialGroup()
                .addGroup(jPanel12Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel12Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel20))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 131, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel12Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel19)
                    .addComponent(jSpinner16, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel12Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jSpinner15, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel13))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(jPanel12, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanel12, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }
    

	public void actionPerformed(ActionEvent e) 
    {
    	if (jCheckBox1.isSelected()) { selected.add(Test.PATHLENGTH.getIndex()); }//path length: 0
    	if (jCheckBox2.isSelected()) { selected.add(Test.NUMOFNODES.getIndex()); }//num of nodes: 1
    	if (jCheckBox3.isSelected()) { selected.add(Test.FANINFANOUT.getIndex()); }//faninout: 2
    	if (jCheckBox5.isSelected()) { selected.add(Test.PAIRFINDING.getIndex()); }//pair: 4
    	if (jCheckBox6.isSelected()) { selected.add(Test.SOUNDNESS.getIndex()); }//sound:  5
    	
    	
    	
    	if (e.getSource() == jCheckBox1 || e.getSource() == jCheckBox2 || 
      			 e.getSource() == jCheckBox3 || e.getSource() == jCheckBox5 || 
      			 e.getSource() == jCheckBox6)
       	{
       		if (!jCheckBox1.isSelected() && !jCheckBox2.isSelected() && 
      				!jCheckBox3.isSelected() && !jCheckBox5.isSelected() && !jCheckBox6.isSelected())
       		{
       			jCheckBox1.setSelected(true);
       			jCheckBox2.setSelected(true);
       			jCheckBox3.setSelected(true);
      			
       			JOptionPane.showMessageDialog(null,
      				    "At least one characteristic has to be selected. If none, the default ones will be selected instead", 
      				    "Message", JOptionPane.INFORMATION_MESSAGE);
      			
       		}
       	}
    	
    }
    	

    public javax.swing.JPanel getPanel()
    {    
        return jPanel1;
    }
    
    
    public int getSpinner1Value()
    {
    	return (Integer)jSpinner15.getValue();
    }
    
    public int getSpinner2Value()
    {
    	return (Integer)jSpinner16.getValue();
    }

    
    public boolean getCheckBox1()
    {
    	return jCheckBox1.isSelected();
    }
    
    public boolean getCheckBox2()
    {
    	return jCheckBox2.isSelected();
    }
    
    public boolean getCheckBox3()
    {
    	return jCheckBox3.isSelected();
    }

    public boolean getCheckBox5()
    {
    	return jCheckBox5.isSelected();
    }
    
    public boolean getCheckBox6()
    {
    	return jCheckBox6.isSelected();
    }
}