package org.processmining.plugins.testbed.net;

import java.util.Vector;
import java.util.concurrent.BlockingQueue;

import org.processmining.models.graphbased.directed.petrinet.Petrinet;
import org.processmining.plugins.testbed.util.LabelledPnet;


/**
 * the class imports an existing net
 * 
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 10/June/2010
 *
 */
public class Loader extends Thread 
{
	private Petrinet loadedPnet;
	private Vector<BlockingQueue<LabelledPnet>> netQueueForTest;
	private Vector<Integer> selected;
	//private ElementLabel elementLabel;
	
	public Loader(Petrinet loadedPnet, Vector<BlockingQueue<LabelledPnet>> netQueueForTest, Vector<Integer> selected)
	{
		this.loadedPnet = loadedPnet;
		this.netQueueForTest = netQueueForTest;
		this.selected = selected;
		//this.elementLabel = new ElementLabel(labelTable, labelTable.getTotalLabelWeight());
		start();
	}
	
	
	public void run()
	{
//		Collection<Transition> trans = loadedPnet.getTransitions();
//		for (Transition t : trans)
//		{
//			elementLabel.addLabel(t);
//		}
		
		LabelledPnet labelledPnet = new LabelledPnet();
		labelledPnet.setPnet(loadedPnet);
		//labelledPnet.setTransLabel(elementLabel);
		
		for (int i : selected)
		{
			try { netQueueForTest.get(i).put(labelledPnet); } 
			catch (InterruptedException e) { e.printStackTrace(); }
		}		
	}
}
