package org.processmining.plugins.testbed.result;


/**
 * The class keeps the result of the average node fanin/fanout   
 *
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 10June/2010
 */
public class FaninFanoutResult 
{
	private double placeFanin;
	private double placeFanout;
	private double transFanin;
	private double transFanout;

	public FaninFanoutResult()
	{
		this.placeFanin = 0;
		this.placeFanout = 0;
		this.transFanin = 0;
		this.transFanout = 0;
	}
	
	
	/**
	 * sets the average place fanin
	 * 
	 * @param r, average place fanin
	 */
	public void setPlaceFanin(double r)
	{
		placeFanin = r;
	}
	
	
	/**
	 * sets the average place fanout
	 * 
	 * @param r, average place fanout
	 */
	public void setPlaceFanout(double r)
	{
		placeFanout = r;
	}
	
	
	/**
	 * sets the average transition fanin
	 * 
	 * @param r, average transition fanin
	 */
	public void setTransFanin(double r)
	{
		transFanin = r;
	}
	
	
	/**
	 * sets the average transition fanout
	 * 
	 * @param r, average transition fanout
	 */
	public void setTransFanout(double r)
	{
		transFanout = r;
	}
	
	
	/**
	 * returns the average place fanin
	 * 
	 * @return placeFanin, average place fanin
	 */
	public double getPlaceFanin()
	{
		return placeFanin;
	}
	
	
	/**
	 * returns the average place fanout
	 * 
	 * @return placeFanout, average place fanout
	 */
	public double getPlaceFanout()
	{
		return placeFanout;
	}
	
	
	/**
	 * returns the average transition fanin
	 * 
	 * @return transFanin, average transition fanin
	 */
	public double getTransFanin()
	{
		return transFanin;
	}
	
	
	/**
	 * returns the average transition fanout
	 * 
	 * @return transFanout, average transition fanout
	 */
	public double getTransFanout()
	{
		return transFanout;
	}
}
