package org.processmining.plugins.testbed.result;


/**
 * The class keeps the result of the coverage of causal pairs
 *
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 10/June/2010
 * 
 */
public class FindingPairResult 
{
	private double pathCoverage;
	private double transitionCoverage;
	private boolean beyondBound;
	
	public FindingPairResult()
	{
		this.pathCoverage = 0;
		this.transitionCoverage = 0;
		this.beyondBound = false;
	}
	
	
	/**
	 * sets the average trace coverage
	 *  
	 * @param p, average trace coverage 
	 */
	public void setPathCoverage(double p)
	{
		pathCoverage = p;
	}
	
	
	/**
	 * sets the average transition coverage
	 * 
	 * @param t, average transition coverage  
	 */
	public void setTransitionCoverage(double t)
	{
		transitionCoverage = t;
	}
	
	
	/**
	 * returns the average trace coverage
	 *   
	 * @return pathCoverage, average trace coverage 
	 */
	public double getPathCoverage()
	{
		return pathCoverage; 
	}
	
	
	/**
	 * returns the average transition coverage
	 *  
	 * @return transitionCoverage, average transition coverage 
	 */
	public double getTransitionCoverage()
	{
		return transitionCoverage;
	}
	
	
//	/**
//	 * sets completeness of testing 
//	 * @param completeness
//	 */
//	public void setBeyondBound(boolean b)
//	{
//		beyondBound = b;
//	}
//	
//	
//	/**
//	 * returns completeness of testing
//	 * @return completeness
//	 */
//	public boolean getBeyondBound()
//	{
//		return beyondBound;
//	}
}
