package org.processmining.plugins.testbed.result;

/**
 * The class keeps the result of the length of a shortest path 
 *
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 10/June/2010
 * 
 */
public class PathResult 
{
	private int shortestPathLength;
	
	public PathResult()
	{
		shortestPathLength = 0;
	}
	
	
	/**
	 * sets the length of a shortest path
	 * 
	 * @param lenght, length of a shortest path
	 */
	public void setLength(int length)
	{
		shortestPathLength = length;
	}
	
	
	/**
	 * returns the length of a shortest path
	 * 
	 * @return shortestPathLength, length of a shortest path
	 */
	public int getLength()
	{
		return shortestPathLength;
	}

}