package org.processmining.plugins.testbed.result;

import java.util.Vector;

import org.processmining.plugins.testbed.util.PetrinetWithInitMarking;


/**
 * The class holds all the generated Petri nets
 * 
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 15/June/2010
 *
 */
public class PetriNetCollection
{
	private Vector<PetrinetWithInitMarking> generatedPnetWithInitialMarking;
	
	public PetriNetCollection()
	{
		this.generatedPnetWithInitialMarking = new Vector<PetrinetWithInitMarking>();
	}
	
	
	/**
	 * adds a generated Petri net to the resource 
	 * @param pnet, generated Petri net
	 */
	public void addNet(PetrinetWithInitMarking pnetWithInitMarking)
	{
		generatedPnetWithInitialMarking.add(pnetWithInitMarking);
	}
	
	
	/**
	 * get all the generated Petri nets
	 * @return generatedPnet, generated Petri nets
	 */
	public Vector<PetrinetWithInitMarking> getGeneratedPnet()
	{
		return generatedPnetWithInitialMarking;
	}
}