package org.processmining.plugins.testbed.result;


/**
 * The class holds the information for the report visualization  
 *
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 10/June/2010
 * 
 */
public class ReportTableSetting 
{
	private int xthPercentile;
	private int ythPercentile;
	
	public ReportTableSetting()
	{
		xthPercentile = 0;
		ythPercentile = 0;
	}
	
	
	/**
	 * sets percentile
	 * 
	 * @param x, xth percentile
	 */
	public void setPercentile(int x)
	{
		xthPercentile = x;
		ythPercentile = 100 - x;
	}
	
	
	/**
	 * returns the xth percentile
	 * 
	 * @return xthPercentile, xth percentile
	 */
	public int getXthPercentile()
	{
		return xthPercentile;
	}
	
	
	/**
	 * returns the yth percentile
	 * 
	 * @return ythPercentile, yth percentile
	 */
	public int getYthPercentile()
	{
		return ythPercentile;
	}
}
