package org.processmining.plugins.testbed.result;

import java.io.Serializable;
import java.util.Vector;

/**
 * The class holds the experimental results of all the nets   
 *
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 10/June/2010
 * 
 */
@SuppressWarnings("serial")
public class Results implements Serializable
{
	private Vector<Report> testReport;
	private ReportTableSetting setting;

	
	public Results()
	{
		testReport = new Vector<Report>();
	}
	
	
	/**
	 * adds a report of a new net 
	 *  
	 * @param report, report of a new net 
	 */
	public void addTestReport(Report report)
	{
		testReport.add(report);
	}
	
	
	/**
	 * returns all the reports
	 * 
	 * @return testReport, all the reports
	 */
	public Vector<Report> getTestReport()
	{
		return testReport;
	}
	
	
	/**
	 * sets the information for report visualization
	 *   
	 * @param setting, visualization setting 
	 */
	public void setSetting(ReportTableSetting setting)
	{
		this.setting = setting;
	}
	
	
	/**
	 * returns the information of report visualization
	 *  
	 * @return setting, report visualization setting  
	 */
	public ReportTableSetting getSetting()
	{
		return setting;
	}
}
