package org.processmining.plugins.testbed.util;

import org.processmining.models.graphbased.directed.DirectedGraphElement;

/**
 * this class realizes a data structure for a pair 
 * 
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 10/June/2010
 *
 */
public class Pair 
{
	private DirectedGraphElement from;
	private DirectedGraphElement to;
	
	
	public Pair(DirectedGraphElement from, DirectedGraphElement to)
	{
		this.from = from;
		this.to = to;
	}
	
	
	/**
	 * returns the first element of a pair
	 *  
	 * @return from, the first element 
	 */
	public DirectedGraphElement getFrom()
	{
		return from;
	}
	
	
	/**
	 * returns the second element of a pair
	 *  
	 * @return to, the second element 
	 */
	public DirectedGraphElement getTo()
	{
		return to;
	}
	
	
	/**
	 * returns hashCode
	 * 
	 * @return hash code
	 */
	public int hashCode()
	{
		return from.getLabel().hashCode() + to.getLabel().hashCode();
	}
	
	
	/**
	 * returns if two objects are identical 
	 * 
	 * @return identical 
	 */
	public boolean equals(Object otherPair)
	{
		Pair other = (Pair) otherPair;
		
		if (other.getFrom().getLabel().equals(from.getLabel()) && other.getTo().getLabel().equals(to.getLabel()))
		{
			return true;
		}
		else
		{
			return false;
		}
	}
}