package org.processmining.plugins.testbed.util;

import org.processmining.models.graphbased.directed.petrinet.Petrinet;
import org.processmining.models.semantics.petrinet.Marking;

/**
 * The class contains a Petri net and its initial marking
 * 
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 16/June/2010
 *
 */
public class PetrinetWithInitMarking 
{
	private Petrinet pnet;
	private Marking initialMarking;
	
	
	public PetrinetWithInitMarking()
	{
		this.pnet = null;
		this.initialMarking = null;
	}
	
	
	/**
	 * sets a Petri net
	 * 
	 * @param pnet, Petri net
	 */
	public void setPnet(Petrinet pnet)
	{
		this.pnet = pnet;
	}
	
	
	/**
	 * sets initial marking
	 *  
	 * @param initialMarking, initial marking
	 */
	public void setInitialMarking(Marking initialMarking)
	{
		this.initialMarking = initialMarking; 
	}
	
	
	/**
	 * returns Petri net
	 * 
	 * @return pnet, Petri net
	 */
	public Petrinet getPnet()
	{
		return pnet;
	}
	
	
	/**
	 * returns initial marking
	 * 
	 * @return initialMarking, initial marking
	 */
	public Marking getInitialMarking()
	{
		return initialMarking;
	}
}
