package org.processmining.plugins.testbed.visualiser;

import java.awt.Dimension;

import javax.swing.table.JTableHeader;


/**
 * the class sets the report table header size
 * 
 * @author Zheng Liu
 * @email z.liu3@tue.nl
 * @version 1.0
 * @date 10/June/2010
 * 
 */
@SuppressWarnings("serial")
public class Header extends JTableHeader
{
	private int rowHeight;
	public Header(int rowHeight)
	{	
		setLayout(new HeaderLayout());
		this.rowHeight = rowHeight;
	}

	@Override
	public Dimension getPreferredSize()
	{
		Dimension d = super.getPreferredSize();
		HeaderLayout layout = (HeaderLayout) getLayout();
		d.height = layout.getRowCount() * rowHeight;
		return d;
	}
}
